.requirement-workspace-link.ant-menu-item-selected,
.requirement-workspace-link:hover {
  background-color: var(--requirement-workspace-main-color) !important;
}

.test-case-workspace-link.ant-menu-item-selected,
.test-case-workspace-link:hover,
.automation-workspace-link.ant-menu-item-selected,
.automation-workspace-link:hover,
.action-word-workspace-link.ant-menu-item-selected,
.action-word-workspace-link:hover {
  background-color: var(--test-case-workspace-main-color) !important;
}

.campaign-workspace-link.ant-menu-item-selected,
.campaign-workspace-link:hover {
  background-color: var(--campaign-workspace-main-color) !important;
}

.custom-report-workspace-link.ant-menu-item-selected,
.custom-report-workspace-link:hover {
  background-color: var(--custom-report-workspace-main-color) !important;
}

::ng-deep .administration-workspace-link.ant-menu-submenu-active,
::ng-deep .administration-workspace-link.ant-menu-submenu-title:hover {
  .ant-menu-submenu-title {
    background-color: var(--administration-workspace-main-color) !important;
  }
}

.sqtm-nav-bar {
  &-toggle {
    & {
      padding: 6px;
    }

    &:hover {
      cursor: pointer;
    }
  }

  &-divider {
    background-color: #36395f;
  }

  &-item {
    padding: 0 5px !important;
  }
}

li.ant-menu-item {
  min-height: 40px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

li.ant-menu-item > div {
  display: flex;
  align-items: baseline;
}

.sqtm-core-menu-item {
  margin-bottom: 3px !important;
  margin-top: 3px;
}

span.nav-bar-title,
a.nav-bar-title {
  display: flex;
  flex-direction: row;
  text-decoration: none;

  i {
    margin-top: auto;
    margin-bottom: auto;
  }
}

::ng-deep .ant-menu-inline-collapsed > .ant-menu-item,
::ng-deep
  .ant-menu-inline-collapsed
  > .ant-menu-submenu
  > .ant-menu-submenu-title {
  padding: 0;

  span.nav-bar-title,
  a.nav-bar-title {
    margin: auto;
  }

  & .anticon {
    margin: auto;
  }
}

.nav-bar-link {
  text-decoration: none;
}
